# $Revision: 1.12 $, $Date: 2012/01/15 21:45:01 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Socket-Multicast
Summary:	IO::Socket::Multicast - send and receive multicast messages
Summary(pl.UTF-8):	IO::Socket::Multicast - wysyłanie i odbieranie komunikatów multicastowych
Name:		perl-IO-Socket-Multicast
Version:	1.12
Release:	1
# "same as perl"
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c96e6cbb367b1d11ffe7bb9fbd833540
URL:		http://search.cpan.org/dist/IO-Socket-Multicast/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-IO-Interface >= 0.94
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IO::Socket::Multicast module subclasses IO::Socket::INET to enable
you to manipulate multicast groups. With this module (and an operating
system that supports multicasting), you will be able to receive
incoming multicast transmissions and generate your own outgoing
multicast packets.

%description -l pl.UTF-8
Moduł IO::Socket::Multicast jest podklasą IO::Socket::INET pozwalającą
na manipulowanie grupami multicastowymi. Przy użyciu tego modułu (i
systemu operacyjnego obsługującego multicasty) można odbierać
przychodzącą transmisję multicastową i generować własne wychodzące
pakiety multicastowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/auto/IO/Socket
%{perl_vendorarch}/IO/Socket/Multicast.pm
%dir %{perl_vendorarch}/auto/IO/Socket/Multicast
%{perl_vendorarch}/auto/IO/Socket/Multicast/Multicast.bs
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Socket/Multicast/Multicast.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Socket-Multicast.spec,v $
Revision 1.12  2012/01/15 21:45:01  zbyniu
- up to 1.12

Revision 1.11  2010/06/06 08:38:10  arekm
- release 2

Revision 1.10  2009/11/26 13:02:14  amateja
- updated to 1.11

Revision 1.9  2009/09/15 09:39:18  amateja
- updated to 1.07

Revision 1.8  2008/02/10 12:12:45  arekm
- rel 2

Revision 1.7  2008-01-14 18:02:37  glen
- missing dir; rel 1

Revision 1.6  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.5  2007-12-24 02:14:28  zbyniu
- up to 1.05

Revision 1.4  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.2  2006/08/20 07:55:07  qboosh
- pl, missing dir, cleanup

Revision 1.1  2006/07/30 18:58:44  agaran
- initial 1.04, rel 0.1, builds here
